Index: mkdep
===================================================================
--- mkdep (nonexistent)
+++ mkdep (revision 5)
@@ -0,0 +1,52 @@
+#!/bin/sh
+# mkdep - create dependencies.
+#
+# Copyright (c) 1998, 2001 Joseph Samuel Myers.
+# All rights reserved.
+#
+# Redistribution and use in source and binary forms, with or without
+# modification, are permitted provided that the following conditions
+# are met:
+# 1. Redistributions of source code must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+# 2. Redistributions in binary form must reproduce the above copyright
+# notice, this list of conditions and the following disclaimer in the
+# documentation and/or other materials provided with the distribution.
+# 3. The name of the author may not be used to endorse or promote products
+# derived from this software without specific prior written permission.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR ``AS IS'' AND ANY EXPRESS OR
+# IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES
+# OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED.
+# IN NO EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT,
+# INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING,
+# BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES;
+# LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED
+# AND ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY,
+# OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY
+# OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF
+# SUCH DAMAGE.
+
+# usage: mkdep source output compiler flags
+# e.g. mkdep foo/bar.c foo/bar.d gcc -g -O2 -DFOOBAR
+
+set -e
+
+source_file=$1
+base_name=${source_file%%.c}
+base_base_name=`basename $base_name`
+output_file=$2
+compiler=$3
+shift 3
+
+if test "`echo $compiler | grep ccache`" != "" ; then
+ compiler=$1
+ shift 1
+fi
+
+"$compiler" -M "$@" "$source_file" >"$output_file".tmp
+
+sed "s!^$base_base_name.o *:!$base_name.o :!g
+s!$base_name.o *:!$base_name.o $base_name.d:!g" <"$output_file".tmp >"$output_file"
+
+rm -f "$output_file".tmp
Property changes on: mkdep
___________________________________________________________________
Added: svn:executable
## -0,0 +1 ##
+*
\ No newline at end of property